summaryrefslogtreecommitdiff
path: root/www-servers
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-05 03:04:47 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-05 03:04:47 -0500
commitff03324f0b5c30484659977ecb3a56e73f5856a5 (patch)
treed3d9a7636e37b0d2eec93ddf61a47caeda399de0 /www-servers
parenteed03ed6da4435154826115469c3956ad88ee8a5 (diff)
downloadbaldeagleos-repo-ff03324f0b5c30484659977ecb3a56e73f5856a5.tar.gz
baldeagleos-repo-ff03324f0b5c30484659977ecb3a56e73f5856a5.tar.xz
baldeagleos-repo-ff03324f0b5c30484659977ecb3a56e73f5856a5.zip
Adding metadata
Diffstat (limited to 'www-servers')
-rw-r--r--www-servers/copyparty/Manifest2
-rw-r--r--www-servers/copyparty/copyparty-1.20.19.ebuild (renamed from www-servers/copyparty/copyparty-1.20.17.ebuild)0
-rw-r--r--www-servers/vinyl-cache/files/vinyl-cache-9.0.1-fix-DESTDIR.patch15
-rw-r--r--www-servers/vinyl-cache/vinyl-cache-9.0.1-r1.ebuild134
4 files changed, 150 insertions, 1 deletions
diff --git a/www-servers/copyparty/Manifest b/www-servers/copyparty/Manifest
index e25265deec8e..ca6bf0b72971 100644
--- a/www-servers/copyparty/Manifest
+++ b/www-servers/copyparty/Manifest
@@ -1 +1 @@
-DIST copyparty-1.20.17.tar.gz 1818617 BLAKE2B 41ff78ed3cf519eab3632bcbbb14eb99be4f07ca2ff12a62d61206e04572e7ca33940eb4c6e58f67e9133e55e0c40df4cee9357bfcb1d12c69f77918a5f5e79f SHA512 12e16aefeb8124f94227761102b3e7decbd656b7ed8c127aa845a2377df3f69c79c7a602ae978a780503c3ecebeb88efa8e95354cf358f4297bba9e6aa426232
+DIST copyparty-1.20.19.tar.gz 1826830 BLAKE2B 9a81617d799320a93e10c0b8ec6bc05470747b3027e84f3858b7059d5461e5571380ccca2dad51812b8d4843beec02356e091a70ae33ef1a3ef6d9bd595fb2ec SHA512 cf38affc231f3582723515f5558b9f01346227beb349a354827ae15127f01227491dec7fc38d797bf268b9b3c61744b4e61c38ec91583f5cc764b8d03d30864e
diff --git a/www-servers/copyparty/copyparty-1.20.17.ebuild b/www-servers/copyparty/copyparty-1.20.19.ebuild
index 8033d565ed49..8033d565ed49 100644
--- a/www-servers/copyparty/copyparty-1.20.17.ebuild
+++ b/www-servers/copyparty/copyparty-1.20.19.ebuild
diff --git a/www-servers/vinyl-cache/files/vinyl-cache-9.0.1-fix-DESTDIR.patch b/www-servers/vinyl-cache/files/vinyl-cache-9.0.1-fix-DESTDIR.patch
new file mode 100644
index 000000000000..e8962bbbfdb1
--- /dev/null
+++ b/www-servers/vinyl-cache/files/vinyl-cache-9.0.1-fix-DESTDIR.patch
@@ -0,0 +1,15 @@
+https://bugs.gentoo.org/980302
+https://code.vinyl-cache.org/vinyl-cache/vinyl-cache/pulls/4512
+From: Nils Goroll <nils.goroll@uplex.de>
+
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -44,7 +44,7 @@ AM_DISTCHECK_CONFIGURE_FLAGS += --with-unwind
+ endif
+
+ install-data-local:
+- $(install_sh) -d -m 0755 "${VINYL_STATE_DIR}"
++ $(install_sh) -d -m 0755 "$(DESTDIR)/${VINYL_STATE_DIR}"
+
+ distclean-local:
+ -find . '(' -name '*.gcda' -o -name '*.gcda' ')' -exec rm '{}' ';'
diff --git a/www-servers/vinyl-cache/vinyl-cache-9.0.1-r1.ebuild b/www-servers/vinyl-cache/vinyl-cache-9.0.1-r1.ebuild
new file mode 100644
index 000000000000..1a770cad1048
--- /dev/null
+++ b/www-servers/vinyl-cache/vinyl-cache-9.0.1-r1.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit autotools systemd python-r1
+
+DESCRIPTION="A high-performance caching HTTP reverse proxy"
+HOMEPAGE="https://vinyl-cache.org/"
+SRC_URI="https://vinyl-cache.org/downloads/${P}.tgz"
+
+LICENSE="BSD-2 GPL-2"
+SLOT="0/9"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="jit selinux static-libs unwind"
+
+COMMON_DEPEND="
+ acct-user/vinyl
+ acct-group/vinyl
+ sys-libs/readline:=
+ dev-libs/libedit
+ dev-libs/libpcre2[jit?]
+ sys-libs/ncurses:=
+ unwind? ( sys-libs/libunwind:= )
+"
+
+# varnish compiles stuff at run time
+RDEPEND="
+ ${PYTHON_DEPS}
+ ${COMMON_DEPEND}
+ sys-devel/gcc
+ selinux? ( sec-policy/selinux-varnishd )
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ dev-python/docutils
+ dev-python/sphinx
+ virtual/pkgconfig
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Upstream acknowledge that a small number of tests fail sporadically, including on their
+# test boxes. We SKIP problematic tests here. Check https://vinyl-cache.org/vtest/
+SKIP_TESTS=(
+ "u00021.vtc" # Commit: 83d9fbb2961c
+ "r02686.vtc" # Bug: 880627
+ "r02990.vtc" # Bug: 880627
+ "u00008.vtc" # Bug: 880627
+ "u00009.vtc" # Bug: 880627
+ "t02014.vtc" # Bug: 964041
+)
+
+PATCHES=(
+ "${FILESDIR}/${PN}-9.0.1-fix-DESTDIR.patch"
+)
+
+src_prepare() {
+ default
+
+ # Fix python shebangs for python-exec[-native-symlinks], #909330
+ # skip vmodtool, as that gets installed by python_replicate_script later
+ local shebangs=($(grep -rl "#!/usr/bin/env python3"|grep -v vmodtool || die))
+ python_setup
+ python_fix_shebang -q ${shebangs[*]}
+
+ # SKIP unreliable tests
+ local t
+ for t in ${SKIP_TESTS[*]}; do
+ sed -i -e '/^vtest.*$/a feature cmd false' bin/vinyltest/tests/${t} || die
+ done
+
+ # Remove -Werror bug #528354
+ sed -i -e 's/-Werror\([^=]\)/\1/g' configure.ac || die
+
+ # Upstream doesn't put vinyl.m4 in the m4/ directory
+ # We link because the Makefiles look for the file in
+ # the original location
+ ln -sf ../vinyl.m4 m4/vinyl.m4 || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-contrib
+ $(use_enable static-libs static)
+ $(use_enable jit pcre2-jit)
+ $(use_with unwind)
+ --localstatedir="${EPREFIX}/var"
+ --without-jemalloc
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ python_replicate_script "${D}/usr/share/vinyl-cache/vmodtool.py"
+
+ newinitd "${FILESDIR}"/vinyllog.initd vinyllog
+ newconfd "${FILESDIR}"/vinyllog.confd vinyllog
+
+ newinitd "${FILESDIR}"/vinylncsa.initd vinylncsa
+ newconfd "${FILESDIR}"/vinylncsa.confd vinylncsa
+
+ newinitd "${FILESDIR}"/vinyld.initd vinyld
+ newconfd "${FILESDIR}"/vinyld.confd vinyld
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}/vinyld.logrotate" vinyld
+
+ diropts -m750
+
+ keepdir /var/lib/vinyl-cache
+ keepdir /var/log/vinyl-cache
+
+ systemd_dounit "${FILESDIR}/vinyld.service"
+
+ insinto /etc/vinyl-cache/
+ doins vmod/vmod_*.vcc
+ doins etc/example.vcl
+
+ dodoc README.md
+ dodoc doc/changes.rst
+
+ fowners root:vinyl /etc/vinyl-cache/
+ fowners vinyl:vinyl /var/lib/vinyl-cache/
+ fperms 0750 /var/lib/vinyl-cache/ /etc/vinyl-cache/
+
+ find "${ED}" -name "*.la" -delete || die
+}